ObjectStorageIamUserResponse
Successful response with one ObjectStorageIamUser
Always 0 in a successful response
0Always null in a successful response
data objectrequired
IAM user of an object storage: a user of the storage with its own S3 keys
Id of the object storage (GET /api/v3/object-storages/{object_storage_id})
Id of the sub-account of the object storage, the account at the storage that holds its buckets and IAM users (not the account id of the storage)
Progressive number of the IAM user in the object storage
Username of the IAM user on the storage
Id of the user in the IAM service of the storage
ARN (Amazon Resource Name) of the IAM user, used in the policies (arn:aws:iam::<account>:user/<username>)
Whether the IAM user is active: deleted users are not returned
Always null: only the paginated lists have a meta
null{
"error": 0,
"message": "string",
"data": {
"iam_user_id": 0,
"object_storage_id": 0,
"sub_account_id": 0,
"code": 0,
"code_full": "string",
"iam_id": "string",
"arn": "string",
"active": true,
"date_created": "2024-07-29T15:51:28.071Z"
}
}